/* HEADER */
#header {
    -webkit-box-shadow: 0px 7px 12px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 0px 7px 12px 0 rgba(0, 0, 0, 0.1);
    margin-bottom: 30px;
}
#header .header-bottom {
    border:0;
    background: var(--bs-primary);
    -webkit-box-shadow: 0px 7px 12px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 0px 7px 12px 0 rgba(0, 0, 0, 0.1);
    position:relative;
    z-index:9;
}
#header .header-bottom .navbar-brand {
    max-height: 110px;
}
#header .header-bottom .navbar-brand .logo {
    width: auto;
    max-width: 400px;
    height: 110px;
    max-height: 110px;
}
#header .header-bottom__row {
    justify-content: space-between;
}
#header .header-bottom__row .left,
#header .header-bottom__row .middle,
#header .header-bottom__row .right {
    width: auto;
}
#header .header-bottom__row .middle,
#header .header-bottom__row .right {
    display:flex;
    align-items:center;
}
#header .header-bottom__row .right > div {
    min-width: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
}
#header .menu-right,
#header .custom-menu .menu-right .right {
    display:none;
}
@media (min-width: 1200px) {
    #header .header-bottom {
        padding: 15px 40px;
    }
}
@media (min-width: 767px) and (max-width:1200px) {
    #header .header-bottom {
        padding: 12px 15px;
    }
    #header .header-bottom .navbar-brand .logo {
        height: 90px;
    }
    #header .header-bottom__row {
        flex-wrap:nowrap;
    }
    .mm_menu_content_title {
        font-size:13px;
    }
    #ps_searchbar {
        width:80%;
    }
    #header .header-bottom__row .middle {
        width:33%;
    }
    #header .header-bottom .right {
        padding:0px;
    }
}
@media (max-width: 1024px) {
    #header .header-bottom .navbar-brand .logo {
        height: 65px;
    }
}
@media (max-width:767px) {
    #_desktop_ps_contactinfo,
    #_desktop_ps_customersignin,
    #_desktop_ps_shoppingcart {
        display:none !important;
    }
    #header .header-bottom {
        padding: 10px 15px 0px 15px;
    }
    #header .header-bottom .navbar-brand .logo {
        height: 70px;
    }
    #header .header-block__icon {
        font-size: 1.5rem;
    }
    #header .layout_layout1 .ets_mm_megamenu_content {
        border:0;
    }
    .ets_mm_megamenu.hook-default {
        margin-top: 0px;
    }
    #header .header-bottom .middle .ps-searchbar--mobile > div.header-block,
    #header .header-bottom .right {
        display:none !important;
    }
    #header .header-bottom__row .left {
        margin: 0 auto;
    }
}
/**********/

/* MENU */
#header .ets_mm_megamenu_content {
    background: var(--bs-white);
}
#header .ets_mm_megamenu_content_content .mm_menus_ul {
    width: auto;
}
#header .layout_layout1 .mm_menus_li {
    border:0px;
}
#header .layout_layout1:not(.ybc_vertical_menu):not(.click_open_submenu) .mm_menus_li:hover > a {
    background:none !important;
}
#header .layout_layout1:not(.click_open_submenu) .mm_menus_li:hover > a:before {
    opacity:0;
}
.layout_layout1 .ets_mm_block_content ul li a::before {
    content:none;
}
.ybc-menu-toggle {
    color:var(--bs-black);
}
.ybc-menu-toggle .icon-bar {
    background:var(--bs-black);
}
/* #header .ets_mm_megamenu_content .container {
    max-width:100%;
} */
 .mm_menus_li > a {
    text-transform: none;
}
#header .ets_mm_megamenu_content_content .popular-brands {
    align-items: center;
}
#header .ets_mm_megamenu_content_content .popular-brands > div {
    display: flex;
    justify-content: center;
}
.mm_menu_content_title {
    min-height: 45px;
}
.layout_layout1 .ets_mm_megamenu_content {
    border-bottom: 0px solid var(--bs-light);
    border-top: 0px solid var(--bs-light);
}
@media (min-width: 768px) {
    .ets_mm_megamenu.layout_layout1:not(.ybc_vertical_menu) .mm_menus_ul {
        background: var(--bs-white) !important;
    }
    /* #header .layout_layout1:not(.ybc_vertical_menu) .mm_menus_li > a {
        color: var(--bs-black) !important;
    } */
}
@media (min-width: 1200px) {
    #header .ets_mm_megamenu_content {
        padding: 0px 40px;
    }
}
@media (max-width: 767px) {
    .ets_mm_megamenu .container {
        background-color: var(--bs-white);
    }
    #header .ets_mm_megamenu_content_content .popular-brands>div {
        width: 50%;
        padding: 0;
    }
    #header .custom-menu {
        display: flex;
        align-items: center;
        border-bottom: 0px solid var(--bs-light);
        border-top: 0px solid var(--bs-light);
        justify-content: space-between;
        background: var(--bs-white);
    }
    #header .custom-menu .menu-right {
        display:flex;
    }
    #header .custom-menu .menu-right .right {
        display:flex;
    }
    .custom-menu .ps-shoppingcart .header-block__action-btn {
        padding-left: 0.375rem;
    }
    .custom-menu .menu-right .middle .ps-searchbar--mobile-clone .header-block__action-btn {
        padding: 0.5rem 0.375rem;
    }
}
/********/

/* SHOPPING CART */
#_desktop_ps_shoppingcart svg path {
    fill:var(--bs-white);
}
#_mobile_ps_shoppingcart svg path {
    fill:var(--bs-black);
}
#_desktop_ps_shoppingcart:hover svg path {
    fill:var(--bs-secondary);
}
#_mobile_ps_shoppingcart:hover svg path {
    fill:var(--bs-black);
}
.ps-shoppingcart .header-block__action-btn {
    position:relative;
    padding-left:0;
}
.header-block__badge {
    background: var(--bs-white);
    color: var(--bs-black);
    font-size: 0.6rem;
    height: 1rem;
    min-width: 0.5rem;
    width: 0.9rem;
    padding: 0;
    position: absolute;
    top: 17px;
    left: 0px;
}
@media (max-width:767px) {
    .header-block__badge {
        background: var(--bs-black);
        color: var(--bs-white);
    }
}
/*****************/

/* CUSTOMER SIGN-IN */
#_desktop_ps_customersignin .ps-customersignin svg path {
    stroke:var(--bs-white);
}
#_mobile_ps_customersignin svg path {
    stroke:var(--bs-black);
}
#_desktop_ps_customersignin:hover .ps-customersignin svg path {
    stroke:var(--bs-secondary);
}
#_mobile_ps_customersignin:hover svg path {
    stroke:var(--bs-black);
}
/********************/ 

/* NAV - CONTACT INFO */
.custom-hover-block {
  position: relative !important;
}
.user-content,
.info-content {
  position: absolute;
  top: 100%;
  right: 0;
  margin-top: 12px;
  z-index: 999;
  background-color: var(--bs-white);
  border: 1px solid var(--bs-light);
  border-radius: 8px;
  padding: 15px;
  
  opacity: 0;
  pointer-events: none;
  transform: translateY(-5px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}
.user-content::before,
.info-content::before {
  content: '';
  position: absolute;
  top: -15px;
  left: 0;
  width: 100%;
  height: 15px;
}
.custom-hover-block:hover .user-content,
.custom-hover-block:hover .info-content,
.custom-hover-block:hover .dropdown-menu {
  opacity: 1 !important;
  display: block !important;
  pointer-events: auto !important;
  transform: translateY(0) !important;
  z-index: 9999;
}
.user-content {
  width: 310px;
}
.user-login-title {
  font-weight: bold;
  color: #333333;
  font-size: 14px;
  margin-bottom: 8px;
  text-align: center;
  padding-top: 11px;
  padding-bottom: 21px;
}
.user-login-content {
  background-color: var(--bs-black);
  color: var(--bs-white) !important;
  text-align: center;
  border-radius: 4px;
  font-size: 13px;
  font-weight: bold;
  margin-bottom: 10px;
  padding: 15px 0px;
}
.user-register-wrap {
  border-top: 1px solid var(--bs-light);
  padding-top: 10px;
  margin-top: 5px;
  text-align: center;
}
.user-register-text {
  font-size: 12px;
  color: black;
}
.user-register-content {
  color: var(--bs-secondary, var(--bs-black));
  font-size: 13px;
  text-decoration: underline;
}
.info-content {
  width: 280px; 
  text-align: center;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
}
.info-section-title, 
.info-email-title {
  font-weight: bold;
  color: #333333;
  font-size: 14px;
  margin-bottom: 8px;
  padding-top: 5px;
  padding-bottom: 20px;
}
#header .custom-hover-block.info-menu-wrapper {
  padding-inline: 10px;
}
#header .custom-hover-block.info-menu-wrapper svg #phone-call {
  fill:var(--bs-white);
}
#header .custom-hover-block:hover.info-menu-wrapper svg #phone-call {
  fill:var(--bs-secondary);
}
.info-phone-content,
.info-email-content {
  background-color: var(--bs-black);
  color: var(--bs-white) !important;
  text-align: center;
  border-radius: 4px;
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 15px;
  padding: 12px 0px;
  transition: opacity 0.2s ease;
}
.info-phone-content:hover {
  opacity: 0.9;
}
.info-phone-content i,
.info-email-content i {
    margin-right: 8px;
    font-size: 18px;
}
.info-email {
  border-top: 1px solid var(--bs-light);
  padding-top: 12px;
  margin-top: 5px;
}
.info-email-content {
  color: var(--bs-secondary, var(--bs-black, var(--bs-secondary)));
  font-size: 13px;
  font-weight: 500;
  text-decoration: underline;
  word-break: break-all; 
}
.header .info-content a:hover i {
  color: var(--bs-white) !important;
}
#header .header-bottom .extra-info .language-selector-wrapper {
  display:none !important;
}
/**********************/

/* LANGUAGE SELECTOR */
#header .selected-language {
  display:flex; 
  align-items:center; 
  gap:7px;
}
#header .selected-language a {
  background: var(--bs-black);
  color: var(--bs-white);
  font-size: 12px;
  font-weight: bold;
  border-radius: 15px;
  padding: 6px 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 7px;
  min-width: 60px;
}
#header .selected-language a {
  background: var(--bs-white);
  color: var(--bs-black);
}
#header .selected-language a:not(.selected) {
  opacity: 0.5;
}
#header .selected-language a:not(.selected):hover {
  opacity: 1;
}
#header .selected-language svg {
  width: 20px; 
  height: 20px; 
  border-radius: 50%;
}
@media (max-width:500px) {
    #header .ps-languageselector .selected-language span {
        display:none;
    }
    #header .ps-languageselector .selected-language a {
        min-width:30px;
        padding-inline: 0;
    }
}
/*********************/

/* SEARCH */
#_desktop_ps_searchbar #ps_searchbar {
    color: var(--color-text);
    border-radius: 25px;
    background-color: #F8F8F8;
    transition: 0.3s;
    display: flex;
    align-items: center;
    gap: 20px;
    border: 1px solid #CCCCCC;
    min-width: 40%;
}
#_desktop_ps_searchbar #ps_searchbar .form-control {
    border:none;
}
#_desktop_ps_searchbar #ps_searchbar form input {
    background-color: transparent !important;
    font-size: 14px;
    color: var(--bs-black);
}
#_desktop_ps_searchbar #ps_searchbar form input::placeholder {
  color:var(--bs-black);
  opacity:0.7;
}
#_desktop_ps_searchbar #ps_searchbar form i {
    color: var(--bs-white);
    background: var(--bs-black);
    border-radius: 50%;
    width: 30px;
    height: 30px;
    padding: 3px;
    left: 5px;
}
#_desktop_ps_searchbar #ps_searchbar form .ps-searchbar__clear i {
    color: var(--bs-black);
    background: none;
    border-radius: 0;
    width: 23px;
    height: 23px;
    padding: 0px;
}
#_desktop_ps_searchbar #ps_searchbar form .ps-searchbar__clear:hover {
    background:none;
}
#_desktop_ps_searchbar #ps_searchbar form .ps-searchbar__clear {
    border:none;
}
@media (max-width:767px) {
    .middle .ps-searchbar--mobile-clone .header-block__action-btn {
        color: var(--bs-black);
    }
}
/**********/

/* BACK TO TOP */
#back-top {
    display: none;
    text-align: center;
    position: fixed;
    cursor: pointer;
    right: 20px;
    bottom: 20px;
    z-index: 99;
}
#back-top a {
    width: 40px;
    height: 40px;
    background: var(--bs-white);
    color: var(--bs-primary);
    font-size: 16px;
    line-height: 40px;
    border-radius: 50%;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 1px rgba(0, 0, 0, .2);
}
#back-top a:hover {
    background-color: var(--bs-primary);
    color: var(--bs-white);
}
/***************/